using CommunityToolkit.Mvvm.Messaging;

namespace SteUp.Shared.Core.Messages.Scheda;

public class NewSchedaService
{
    public event Action? OnNewScheda;

    public NewSchedaService(IMessenger messenger)
    {
        messenger.Register<NewSchedaMessage>(this, (_, _) => { OnNewScheda?.Invoke(); });
    }
}